Delete a deployment
curl --request DELETE \
--url https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/deployments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/deployments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/deployments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Deployments
Delete a deployment
Permanently deletes a deployment from its endpoint. Remove the deployment from live traffic first; use etag to reject the request if it changed after it was read.
DELETE
/
projects
/
{projectId}
/
endpoints
/
{endpointId}
/
deployments
/
{id}
Delete a deployment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project identifier.
Endpoint identifier.
Deployment identifier.
Query Parameters
Etag for optimistic concurrency. If set, the delete is rejected if the current etag does not match.
Response
OK
Empty response returned after a successful delete operation.
Was this page helpful?
⌘I